#
# spec file for package libretro-gambatte
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libretro-gambatte
Version:        0~20160907.d5af1d7
Release:        1.2
Summary:        Game Boy Emulator for Retro-based frontends
License:        GPL-2.0
Group:          Amusements/Games/Other
Url:            https://github.com/libretro/gambatte-libretro
Source:         gambatte-libretro-%{version}.tar.xz
Source1:        gambatte_libretro.info
BuildRequires:  gcc-c++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains a libretro port of the Gambatte emulator.
It can be used by various frontends to load Game Boy / Game Boy Color games.

%prep
%setup -q -n gambatte-libretro-%{version}

%build
make %{?_smp_mflags} prefix=%{_prefix} core_installdir=%{_libdir}/retro-1.0/plugins/

%install
make DESTDIR=%{buildroot} install prefix=%{_prefix} core_installdir=%{_libdir}/retro-1.0/plugins/
mkdir -p %{buildroot}%{_libdir}/retro-1.0/plugins/
install -m644 -p %{SOURCE1} %{buildroot}%{_libdir}/retro-1.0/plugins/

%files
%defattr(-,root,root)
%doc COPYING
%dir %{_libdir}/retro-1.0
%dir %{_libdir}/retro-1.0/plugins
%{_libdir}/retro-1.0/plugins/gambatte_libretro.info
%{_libdir}/retro-1.0/plugins/gambatte_libretro.so

%changelog
* Sun Sep 25 2016 jengelh@inai.de
- Description update
* Wed Sep 21 2016 dimstar@opensuse.org
- Initial package, version 0~20160907.d5af1d7 (no proper versioning
  done by upstream).
